Issue 115906 - External references incorrect when the first cell containing data on that sheet is to the lower left.
Summary: External references incorrect when the first cell containing data on that she...
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: programming (show other issues)
Version: OOo 3.3 RC7
Hardware: All All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: kla
QA Contact: issues@sc
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2010-12-03 15:58 UTC by elysch
Modified: 2017-05-20 10:34 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Error 504 in DGET when text is entered outside the "database" area on the remote file in certain positions. (22.00 KB, application/x-compressed)
2010-12-03 16:01 UTC, elysch
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description elysch 2010-12-03 15:58:58 UTC
When Using DSUM or DGET functions (at least) an "Err:504" is received when the 
remote file contains text on cells to the left and bellow the titles row of 
the "database" area.

This is related to "DSUM, DGET and other D* database functions don't work with 
external references anymore." at http://www.openoffice.org/issues/show_bug.cgi?
id=102750

I'm attaching tree files: DATA-TEST.ods, DATA2-TEST.ods and TEST.ods (in a zip)

The only difference between the first two is cell A3. It has some random text in
DATA2-TEST.ods

If you see the formulas in TEST.ods the formula with reference to DATA2-TEST.ods
returns "Err:504" (Cell C10).

If you simply delete that random text, save the file and reload the TEST.ods
file, the error goes away.

In the other hand, if you add any text anywhere in the range A3:A13 in any one
of the two "DATA" files, then save it and reload the TEST.ods file, the error
appears.

Any ideas about what is going on?

Ely.
Comment 1 elysch 2010-12-03 16:01:05 UTC
Created attachment 75233 [details]
Error 504 in DGET when text is entered outside the "database" area on the remote file in certain positions.
Comment 2 elysch 2010-12-03 16:11:35 UTC
In fact, the error appears by adding any text anywhere in the range A3:A1048576 
in any one of the two "DATA" files.

I also confirmed DSUM also behaves the same way.
Comment 3 ooo 2010-12-06 10:14:51 UTC
Nasty.
Comment 4 ooo 2010-12-11 15:34:50 UTC
Actually any range reference to external documents was affected by this, if in
the very first data column the first data row is more to the bottom than the row
of the referenced range, the start row of the range was changed to that row, in
any function, not just D*()

In cws dr78:

changeset 31b53a2ec7e3
http://hg.services.openoffice.org/cws/dr78/changeset/31b53a2ec7e3
M sc/inc/document.hxx
M sc/inc/table.hxx
M sc/source/core/data/document.cxx
M sc/source/core/data/table1.cxx
M sc/source/core/data/table2.cxx
M sc/source/ui/docshell/externalrefmgr.cxx
M sc/source/ui/view/dbfunc.cxx
M sc/source/ui/view/tabvwshe.cxx

You can observe the progress and possible integration date of CWS dr78 at
http://tools.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fdr78
Comment 5 elysch 2010-12-12 01:29:20 UTC
Great
Comment 7 ooo 2010-12-16 16:13:09 UTC
Reassigning to QA for verification.
Comment 8 h.ilter 2010-12-17 11:01:37 UTC
HI->OC: Please take over, Thanks.
Comment 9 oc 2010-12-17 13:23:08 UTC
verified in internal build cws_ooo33gsl13
Comment 10 ooo 2011-03-01 19:34:53 UTC
Reassigning to QA for verification in CWS dr78.